Download

Date Download Size Verification
2014/03/01   neard-1.0.2.zip 249.89 MB [MD5] [SHA1] [SHA256] [SHA512]

Changelog

  • Cannot switch to trace verbosity (Issue #198)
  • Apache PATH env mixed with LocalSystem env (Issue #193)
  • Dissociate Apache and SVN (Issue #168)
  • Use latest OpenSSL release to generate SSL certificate (Issue #167)
  • Forgetting Memcached switch version impl (Issue #164)
  • Port undefined error for MailHog service (Issue #163)
  • 30% CPU usage for 2 minutes while generating SSL certificate (Issue #161)
  • Can’t switch PostgreSQL version (Issue #160)
  • Bug while enable binary (Issue #156)
  • Add Ruby tool (Issue #154)
  • Add Python tool (Issue #98)
  • Add Perl, Vbs and Python CGI scripts examples
  • Bug while setting version in neard.conf
  • Downgrade default Filezilla release to 0.9.42 (XP compatibility)
  • Implement enable on tools and apps
  • Integration of Codacy and Travis

Changelog

  • Replace launchStartup with enable for binaries (Issue #153)
  • Better way to manage modules (Issue #153)
  • Check if PHP Apache module is loaded (phpMyAdmin and phpPgAdmin aliases)
  • Add memcached extension to php lib core (check service)
  • Bug with LaunchStartupService option
  • Bug on install service item menu (Issue #152)
  • Redundant check service installed
  • libpq required for php lib core (PostgreSQL)
  • Update Neard Visual C++ Redistributables Package (PostgreSQL)
  • Add npmrc item in Node.js menu
  • Add phpPgAdmin app
  • Update about dialog
  • Misspelled on WebSVN class
  • Add PostgreSQL binary (Issue #143)
  • Update Adminer conf for PostgreSQL
  • Change service displayName, description and startType after creation
  • Do not remove service if not installed on exit
  • Implement launch on startup for Memcached
  • Launch on startup option for Mailhog not implemented (Issue #149)
  • Add phpMemAdmin application (Issue #145)
  • Add MailHog log menu item
  • Add Memcached binary (Issue #145)
  • Bug with ASCII char on PHP 5.2
  • sprintf bug on PHP 5.2
  • E_DEPRECATED not defined on PHP 5.2
  • Start and stop services icons reversed (Issue #141)

Changelog

  • Bug with homepage queries (Issue #139)
  • Add Administration button for FileZilla Server Interface (Issue #138)
  • Add download links for binaries / tools / apps on homepage
  • Migrate from Notepad2 to Notepad2-mod
  • Update Composer to 1.1.2
  • Update Git to 2.9.0
  • Update ImageMagick to 6.9.3-10
  • Update PHPUnit to 4.8.26
  • Update Adminer to 4.2.5
  • Update phpMyAdmin to 4p3
  • Update Webgrind to 1.3.1

Changelog

  • Fix error in Gitlist if no repositories (Issue #15)
  • Fix console won’t launch (Issue #14)
  • Fix wrong version displayed on splash screen (Issue #13)
  • Loading window when reload (Issue #6)
  • Display hosts on homepage (Issue #5)
  • Restart service when change port (Issue #4)
  • Fix Git console error (Issue #3)
  • Fix errors on Windows XP (Issue #16, Issue #17)

Upgrade from previous release

  • required : Remove file alias\svn.conf
  • required : Copy folder bin\svn
  • required : Remove then replace folder core
  • required : Move folders inside svnrepos to bin\svn\svn1.7.19\repos
  • required : Remove folder svnrepos
  • required : Copy folder tools\python
  • required : Copy folder tools\ruby
  • required : Remove folder tools\svn
  • required : Add line pythonVersion = "2.7.12.3" after phpunitVersion in neard.conf
  • required : Add line rubyVersion = "2.0.0.p648" after pythonVersion in neard.conf
  • required : Remove line svnVersion in the tools part in neard.conf
  • required : Add line svnVersion = "1.7.19" after memcachedEnable in neard.conf
  • required : Add line svnEnable = "1" after svnVersion in neard.conf
  • required : Remove then replace file sprites.dat
  • required : Remove files ssl\neardfilezilla.*
  • required : Replace your existing Apache version with the latest Apache release.
  • required : Replace your existing Filezilla version with the latest Filezilla release.

Upgrade from previous release

  • required : Download and install the latests Neard Prerequisites Package
  • required : Remove then replace folder apps\adminer
  • required : Copy folder apps\phpmemadmin
  • required : Copy folder apps\phppgadmin
  • required : Copy file alias\phpmemadmin.conf
  • required : Copy file alias\phppgadmin.conf
  • required : Copy file alias\phpmyadmin.conf
  • required : Copy folder bin\memcached
  • required : Copy folder bin\postgresql
  • required : Remove then replace folder core
  • required : Replace apacheLaunchStartup with apacheEnable in neard.conf
  • required : Replace mysqlLaunchStartup with mysqlEnable in neard.conf
  • required : Replace mariadbLaunchStartup with mariadbEnable in neard.conf
  • required : Replace filezillaLaunchStartup with filezillaEnable in neard.conf
  • required : Replace mailhogLaunchStartup with mailhogEnable in neard.conf
  • required : Add line phpEnable = "1" after phpVersion in neard.conf
  • required : Add line nodejsEnable = "1" after nodejsVersion in neard.conf
  • required : Add line postgresqlVersion = "9.4.8" after mariadbEnable in neard.conf
  • required : Add line postgresqlEnable = "1" after postgresqlVersion in neard.conf
  • required : Add line memcachedVersion = "1.4.5" after mailhogEnable in neard.conf
  • required : Add line memcachedEnable = "1" after memcachedVersion in neard.conf
  • required : Add line phpmemadminVersion = "0.3.1" after gitlistVersion in neard.conf
  • required : Add line phppgadminVersion = "5.2" after phpmyadminVersion in neard.conf

Upgrade from previous release

  • required : Remove then replace folder bin\filezilla (or download a compatible version of your choice)
  • required : Remove line starting with notepad2Version = in neard.conf
  • required : Add line notepad2modVersion = "4.2.25.980" after imagemagickVersion in neard.conf
  • required : Copy folder tools\notepad2mod
  • required : Remove folder tools\notepad2
  • required : Remove then replace folder core
  • required : Remove then replace file sprites.dat
  • optional : Change composerVersion value to 1.1.2 in neard.conf and copy folder tools\composer\composer1.1.2
  • optional : Change gitVersion value to 2.9.0 in neard.conf and copy folder tools\git\git2.9.0
  • optional : Change imagemagickVersion value to 6.9.3-10 in neard.conf and copy folder tools\imagemagick\imagemagick6.9.3-10
  • optional : Change phpunitVersion value to 4.8.26 in neard.conf and copy folder tools\phpunit\phpunit4.8.26
  • optional : Change adminerVersion value to 4.2.5 in neard.conf and copy folder apps\adminer\adminer4.2.5
  • optional : Change phpmyadminVersion value to 4p3 in neard.conf and copy folder apps\phpmyadmin\phpmyadmin4p3
  • optional : Change webgrindVersion value to 1.3.1 in neard.conf and copy folder apps\webgrind\webgrind1.3.1